\ProvidesClass{protocol}[2022/02/16 Protocol for PB156cv]

\LoadClass[a4paper,oneside,11pt,abstract=on]{scrartcl}

\usepackage[english,slovak,czech]{babel}
\AtBeginDocument{\shorthandoff{-}}

\usepackage{libertine}
\usepackage{amsmath}
\usepackage{xurl}
\usepackage{xr-hyper}
\usepackage{nameref}
\usepackage[breaklinks=true,pdfborder={0 0 0}]{hyperref}
\usepackage{etoolbox}

\newcommand{\TODO}[1]{%
\ifvmode%
\ifblank{#1}{%
\begingroup\textcolor{red}{\noindent\textbf{TODO}}\endgroup
}{%
\begingroup\textcolor{red}{\noindent[[\textbf{TODO:}\ #1]]}\endgroup
}
\else%
\ifblank{#1}{%
\begingroup\textcolor{red}{\textbf{TODO}}\endgroup
}{%
\begingroup\textcolor{red}{[[\textbf{TODO:}\ #1]]}\endgroup
}%
\fi%
}

\setkomafont{captionlabel}{\bfseries}

\usepackage{xspace}
\usepackage{float}
\usepackage{sidecap}
\usepackage{subcaption}
\captionsetup{subrefformat=parens}

\usepackage{listings}
\usepackage[inline]{enumitem}
\usepackage{alphalph}
\usepackage{rotating}
\usepackage{relsize}
\usepackage{fancyvrb}
\VerbatimFootnotes
\usepackage[linesnumbered,lined,boxed,commentsnumbered]{algorithm2e}
\usepackage[capitalise,noabbrev]{cleveref}
\usepackage{booktabs}
\usepackage{multirow}
\usepackage[shortcuts]{extdash}

\usepackage[locale=DE,strict,separate-uncertainty=true,group-digits=integer,group-separator={,},group-minimum-digits=4]{siunitx}
\DeclareSIUnit[number-unit-product = {}]\degreeCelsius{\SIUnitSymbolCelsius}
%\DeclareSIUnit[number-unit-product = {}]\percent{\char`\%}

\usepackage[capitalise]{cleveref}

\widowpenalty=10000
\clubpenalty=10000

\usepackage{csquotes}
\usepackage{fnpct}

\usepackage[style=nature,maxnames=5,minnames=1,autopunct=true,url=false,autocite=plain]{biblatex}
\bibliography{references}

\usepackage[hang]{footmisc}
\setlength{\footnotemargin}{.6em}


\usepackage{crossreftools}


\usepackage{tikz}
\usetikzlibrary{%
  arrows,%
  arrows.meta,%
  calc,%
  fit,%
  patterns,%
  plotmarks,%
  shapes.geometric,%
  shapes.misc,%
  shapes.symbols,%
  shapes.arrows,%
  shapes.callouts,%
  shapes.multipart,%
  shapes.gates.logic.US,%
  shapes.gates.logic.IEC,%
  er,%
  automata,%
  backgrounds,%
  chains,%
  topaths,%
  trees,%
  petri,%
  mindmap,%
  matrix,%
  calendar,%
  folding,%
  fadings,%
  through,%
  positioning,%
  scopes,%
  decorations.fractals,%
  decorations.shapes,%
  decorations.text,%
  decorations.pathmorphing,%
  decorations.pathreplacing,%
  decorations.footprints,%
  decorations.markings,%
  spy,
  shadows,
  shadows.blur}  

\usepackage{adjustbox}

\newcommand{\mailto}[1]{\href{mailto:#1}{\texttt{<#1>}}}


